#ifndef TMDisplayingCErrorEqChoice_H
#define TMDisplayingCErrorEqChoice_H

#include "TMDisplaying.h"
#include "AliITSRawStreamSPDErrorLog.h"

class TGTextButton;

class TMDisplayingCErrorEqChoice : public TMDisplaying {

 public:
  TMDisplayingCErrorEqChoice(const Char_t *frameName, const TGWindow *p, UInt_t width, UInt_t height, TMHistogramming *hist, UInt_t id, UInt_t plotNr, UInt_t cloneId);
  virtual ~TMDisplayingCErrorEqChoice();

  virtual void   CreateButtonFrame();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
  virtual void   ProcessOpenCErrorCodesFrame();

  virtual void   ToggleErrChoiceButton(UInt_t err);
  virtual void   ToggleEqChoiceButton(UInt_t eq);

 protected:

  TGTextButton *fShowErrorCodesButton;
  TGTextButton *fSwitchErrButton[AliITSRawStreamSPDErrorLog::kNrErrorCodes];
  TGTextButton *fSwitchEqButton[21];

  UInt_t fCurrentErr;
  UInt_t fCurrentEq;

  enum {ADD_ID_START=1000};

  ClassDef(TMDisplayingCErrorEqChoice, 0)
};

#endif
